- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
Full name: projects.locations.instances.agenticCaseReportTemplates.create
Creates a new reporting template.
HTTP request
POST https://{endpoint}/v1alpha/{parent}/agenticCaseReportTemplates
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent resource where this template will be created. |
Query parameters
| Parameters | |
|---|---|
agenticCaseReportTemplateId |
Optional. The ID to use for the template, which will become the final component of the template's resource name. |
Request body
The request body contains an instance of AgenticCaseReportTemplate.
Response body
If successful, the response body contains a newly created instance of AgenticCaseReportTemplate.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chronicle
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
chronicle.agenticCaseReportTemplates.update
For more information, see the IAM documentation.